# Package org.springframework.orm

Root package for Spring's O/R Mapping integration classes.

See: Description

Exception Summary
Exception | Description
--- | ---
ObjectOptimisticLockingFailureException | Exception thrown on an optimistic locking violation for a mapped object.
ObjectRetrievalFailureException | Exception thrown if a mapped object could not be retrieved via its identifier.

## Package org.springframework.orm Description

Root package for Spring's O/R Mapping integration classes. Contains generic DataAccessExceptions related to O/R Mapping.